<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon May 18 20:28:05 EEST 2020 -->
<title>G-Index</title>
<meta name="date" content="2020-05-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../Controller/FileWriterr.html#generateBill-Model.Order-">generateBill(Order)</a></span> - Method in class Controller.<a href="../Controller/FileWriterr.html" title="class in Controller">FileWriterr</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/IRestaurantProcessing.html#generateBill-Model.Order-">generateBill(Order)</a></span> - Method in interface Model.<a href="../Model/IRestaurantProcessing.html" title="interface in Model">IRestaurantProcessing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Restaurant.html#generateBill-Model.Order-">generateBill(Order)</a></span> - Method in class Model.<a href="../Model/Restaurant.html" title="class in Model">Restaurant</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Order.html#getDate--">getDate()</a></span> - Method in class Model.<a href="../Model/Order.html" title="class in Model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Order.html#getFood-Model.Order-">getFood(Order)</a></span> - Method in class Model.<a href="../Model/Order.html" title="class in Model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/menuitems/CompositeProduct.html#getItems--">getItems()</a></span> - Method in class Model.menuitems.<a href="../Model/menuitems/CompositeProduct.html" title="class in Model.menuitems">CompositeProduct</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../View/AdminGUI.html#getMain--">getMain()</a></span> - Static method in class View.<a href="../View/AdminGUI.html" title="class in View">AdminGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../View/ChefGUI.html#getMain--">getMain()</a></span> - Static method in class View.<a href="../View/ChefGUI.html" title="class in View">ChefGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../View/WaiterGUI.html#getMain--">getMain()</a></span> - Static method in class View.<a href="../View/WaiterGUI.html" title="class in View">WaiterGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/IRestaurantProcessing.html#getMenu--">getMenu()</a></span> - Method in interface Model.<a href="../Model/IRestaurantProcessing.html" title="interface in Model">IRestaurantProcessing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Restaurant.html#getMenu--">getMenu()</a></span> - Method in class Model.<a href="../Model/Restaurant.html" title="class in Model">Restaurant</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/menuitems/BaseProduct.html#getName--">getName()</a></span> - Method in class Model.menuitems.<a href="../Model/menuitems/BaseProduct.html" title="class in Model.menuitems">BaseProduct</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Order.html#getOrderId--">getOrderId()</a></span> - Method in class Model.<a href="../Model/Order.html" title="class in Model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/IRestaurantProcessing.html#getOrders--">getOrders()</a></span> - Method in interface Model.<a href="../Model/IRestaurantProcessing.html" title="interface in Model">IRestaurantProcessing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Restaurant.html#getOrders--">getOrders()</a></span> - Method in class Model.<a href="../Model/Restaurant.html" title="class in Model">Restaurant</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Administrator.html#getPassword--">getPassword()</a></span> - Method in class Model.<a href="../Model/Administrator.html" title="class in Model">Administrator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Chef.html#getPassword--">getPassword()</a></span> - Method in class Model.<a href="../Model/Chef.html" title="class in Model">Chef</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Waiter.html#getPassword--">getPassword()</a></span> - Method in class Model.<a href="../Model/Waiter.html" title="class in Model">Waiter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/menuitems/BaseProduct.html#getPrice--">getPrice()</a></span> - Method in class Model.menuitems.<a href="../Model/menuitems/BaseProduct.html" title="class in Model.menuitems">BaseProduct</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Order.html#getTable--">getTable()</a></span> - Method in class Model.<a href="../Model/Order.html" title="class in Model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Administrator.html#getUsername--">getUsername()</a></span> - Method in class Model.<a href="../Model/Administrator.html" title="class in Model">Administrator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Chef.html#getUsername--">getUsername()</a></span> - Method in class Model.<a href="../Model/Chef.html" title="class in Model">Chef</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Waiter.html#getUsername--">getUsername()</a></span> - Method in class Model.<a href="../Model/Waiter.html" title="class in Model">Waiter</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
